
	class DefaultWorld
	{
		access = ReadOnlyVerified;

		plateFormat = "$$$ ## - ##";
		plateLetters = "ABCDEFHIKLMOPRSTVXYZ"

		//default center position
		centerPosition[] = {6400, 6400, 0};

		latitude = -40; // positive is south
		longitude = +15; // positive is east

		class Music : CfgMusic {};
		class EnvSounds : CfgEnvSounds {};
		cutscenes[] = {intro}; 

		// forests
		forestOldTriangle = "data3D\les trojuhelnik.p3d";
		forestOldSquare = "data3D\les ctverec.p3d";
		forestInner = "data3D\les ctverec dark.p3d";
		forestOuter = "data3D\les ctverec pruchozi.p3d";
		forestOuterT1 = "data3D\les ctverec pruchozi_T1.p3d";
		forestOuterT2 = "data3D\les ctverec pruchozi_T2.p3d";
		forestTriangle = "data3D\les trojuhelnik pruchozi.p3d";
		forestBorder = "data3D\les ctverec mlazi.p3d";

		class ReplaceObjects
		{
			class ForestBorder
			{
				replace = "data3D\les ctverec mlazi.p3d";
				with[] = {};
			};
			class ForestTriangle
			{
				replace = "data3D\les trojuhelnik.p3d";
				with[] = {"data3D\les trojuhelnik pruchozi.p3d"};
			};
			class ForestSquare
			{
				replace = "data3D\les ctverec.p3d";
				with[] = 
				{
					"data3D\les ctverec pruchozi_T1.p3d",
					"data3D\les ctverec pruchozi_T2.p3d"
				};
				center = true;
			};

			class ForestBRG
			{
				replace = "brg_n2\forest\BRG_Seapine_T1.p3d";
				with[] = 
				{

					"data3D\les ctverec pruchozi_T1.p3d"
					//"fdf_f\km_t1_a.p3d"
					//,"fdf_f\gm_t1_a.p3d"
				};
				center = true;
			};
			class ForestBRG1
			{
				replace = "brg_n2\forest\BRG_Seapine_T2.p3d";
				with[] = 
				{
					"data3D\les ctverec pruchozi_T2.p3d"
					//"fdf_f\km_t2b_a.p3d",
					//"fdf_f\gm_t2_a.p3d",
				};
				center = true;
			};
			class ForestBRG2
			{
				replace = "brg_n2\forest\BRG_Seapine_TRI.p3d";
				with[] = 
				{
					"data3D\les trojuhelnik pruchozi.p3d"
					//"fdf_f\km_trib_a.p3d",
				};
				center = true;
			};
		};

		landGrid = 50; // grid size
		// landRange is stored directly in WRP file

		class Grid
		{
			offsetX = 0;
			offsetY = 0;
      			class Zoom1
      			{
				zoomMax = 0.2;
				format = "XY";
				formatX = "Aa";
				formatY = "00";
				stepX = 128;
				stepY = 128;
      			};
      			class Zoom2
      			{
        			zoomMax = 1e30;
        			format = "XY";
        			formatX = "A";
        			formatY = "0";
        			stepX = 1280;
        			stepY = 1280;
      			};
		};
		// fractal and white noise random offset are added
		// white noise generated more "wild" terrain
		// fractal tends to generate smooth, varied terrain
		class Subdivision
		{
			// fractal component of subdivision
			// changes are smaller for smaller rectangles
			class Fractal
			{
				// texture roughness factor
				rougness = 10;
				// max. value for squares containing road
				maxRoad = 0.2;
				// max. value for squares containing track
				maxTrack = 1.0;
				// max. coeficient depending on slope
				maxSlopeFactor = 0.05;
			};
			// white noise component of subdivision
			// change size is independent on rectangle size 
			class WhiteNoise
			{
				rougness = 5;
				// max. value for squares containing road
				maxRoad = 0.1;
				// max. value for squares containing track
				maxTrack = 0.5;
				// max. coeficient depending on slope
				maxSlopeFactor = 0.025;
			};

			// do not divide surfaces that are under given limit
			minY = -0.0;
			// do not divide flat surfaces
			minSlope = 0.02;
		};
	};
	class Eden : DefaultWorld
	{
		access = ReadOnlyVerified;

		plateFormat = "ER$ ## - ##";
		plateLetters = "ABCDEFHIKLMOPRSTVXYZ"

		worldName = "\@WW2_MP_extra\Worlds\eden.wrp";
		description = "Everon";
		icon = _eden.paa;
		startTime = 8 : 30;
		startDate = "16/9/44"; //30/4/84;
		startWeather = 0.3;
		startFog = 0.0;
		forecastWeather = 0.3;
		forecastFog = 0.0;
		seagullPos[] = {10738, 8509};
		class EnvSounds : CfgEnvSounds{};
		// landing place - airport
		ilsPosition[] = {4772, 10923};
		ilsDirection[] = {0, 0.08, -1};
		ilsTaxiIn[] = 
		{
			4772+69, 10923+400, // service path middle point
			4772+69, 10923+95, // point on runway to start there
		
			4772+61, 10923+87, // point on runway to start there

			4772+8, 10923+87, // point on runway to start there
			4772, 10923+95, // point on runway to start there
			4772, 10923+150 // align with runway
		};
		ilsTaxiOff[] = 
		{
			4772, 10923, //ilsPos, // touchdown point on runway

			4772, 10923+878, // move to taxi-off point
			4772+8, 10923+886, // start turning

			4772+61, 10923+886, // move to taxi-path
			4772+69, 10923+878, // turn to service path

			4772+69, 10923+400, // move on service path to middle point
		};
		// sound sources
		class Sounds
		{
			sounds[] = {};
		};
		class Animation {vehicles[] = {};}; // default - no film
		class Names
		{
			class SaintPhillippe
			{
				name = "Saint Phillippe";
				position[] = {4674, 10730, 50};
			};
			class Regina
			{
				name = "Regina";
				position[] = {7197, 2347, 50};
			};
			class Meaux
			{
				name = "Meaux";
				position[] = {4524, 9549, 100};
			};
			class Tyrone
			{
				name = "Tyrone";
				position[] = {4946, 9056, 50};
			};
			class Montignac
			{
				name = "Montignac";
				position[] = {4935, 6994, 100};
			};
			class Gravette
			{
				name = "Gravette";
				position[] = {4112, 7772, 50};
			};
			class EntreDeux
			{
				name = "Entre Deux";
				position[] = {5735, 7059, 100};
			};
			class Provins
			{
				name = "Provins";
				position[] = {5501, 6050, 50};
			};
			class Chotain
			{
				name = "Chotain";
				position[] = {7057, 5987, 50};
			};
			class Laruns
			{
				name = "Laruns";
				position[] = {7556, 5558, 50};
			};
			class Figari
			{
				name = "Figari";
				position[] = {5283, 5375, 50};
			};
			class LeMoule
			{
				name = "Le Moule";
				position[] = {2590, 5384, 50};
			};
			class Morton
			{
				name = "Morton";
				position[] = {5134, 3955, 100};
			};
			class Lamentin
			{
				name = "Lamentin";
				position[] = {1333, 5962, 100};
			};
			class Levie
			{
				name = "Levie";
				position[] = {7554, 4737, 10};
			};
			class Durras
			{
				name = "Durras";
				position[] = {8835, 2710, 50};
			};
			class Vernon
			{
				name = "Vernon";
				position[] = {9142, 2159, 50};
			};
			class SaintPierre
			{
				name = "Saint Pierre";
				position[] = {9662, 1605, 50};
			};
		};
		cutscenes[] = {intro}; 
	};

	class Abel : DefaultWorld
	{
		access = ReadOnlyVerified;

		plateFormat = "ML$ - #####";
		plateLetters = "ABCDEGHIKLMNOPRSTVXZ"

		worldName = "\@WW2_MP_extra\Worlds\abel.wrp";
		description = "Malden";
		icon = _abel.paa;
		startTime = "8:30";
		startDate = "16/9/44";
		startWeather = 0.3;
		startFog = 0.0;
		forecastWeather = 0.3;
		forecastFog = 0.0;
		seagullPos[] = {8074, 4048, 100};
		// landing place - airport
		ilsPosition[] = {7922, 9590, 0};
		ilsDirection[] = {0, 0.08, -1};

		ilsTaxiIn[] = 
		{
			7922+69, 9590+400, // service path middle point
			7922+69, 9590+45-18, // point on runway to start there
		
			7922+61, 9590+37-18, // point on runway to start there

			7922+8, 9590+37-18, // point on runway to start there
			7922, 9590+45-18, // point on runway to start there
			7922, 9590+100-18 // align with runway
		};
		ilsTaxiOff[] = 
		{
			7922, 9590, //ilsPos, // touchdown point on runway

			7922, 9590+878-18, // move to taxi-off point
			7922+8, 9590+886-18, // start turning

			7922+61, 9590+886-18, // move to taxi-path
			7922+69, 9590+878-18, // turn to service path

			7922+69, 9590+400, // move on service path to middle point
		};

		// forests
		forestOldTriangle = "data3D\les_su_trojuhelnik.p3d";
		forestOldSquare = "data3D\les_su_ctver.p3d";
		forestInner = "data3D\les_su_ctver.p3d";
		forestOuter = "data3D\les_su_ctver_pruhozi.p3d";
		forestOuterT1 = "data3D\les_su_ctver_pruhozi_T1.p3d";
		forestOuterT2 = "data3D\les_su_ctver_pruhozi_T2.p3d";
		forestTriangle = "data3D\les_su_trojuhelnik.p3d";
		forestBorder = "data3D\les_su_ctver_mlaz.p3d";

		class ReplaceObjects
		{
			class ForestBorder
			{
				replace = "data3D\les_su_ctver_mlaz.p3d";
				with[] = {};
			};
			class ForestSquare
			{
				replace = "data3D\les_su_ctver.p3d";
				with[] = 
				{
					"data3D\les_su_ctver_pruhozi_T1.p3d", 
					"data3D\les_su_ctver_pruhozi_T2.p3d"
				};
				center = true;
			};

			class ForestBRG
			{
				replace = "brg_n2\forest\BRG_Seapine_T1.p3d";
				with[] = 
				{

					"data3D\les ctverec pruchozi_T1.p3d"
					//"fdf_f\km_t1_a.p3d"
					//,"fdf_f\gm_t1_a.p3d"
				};
				center = true;
			};
			class ForestBRG1
			{
				replace = "brg_n2\forest\BRG_Seapine_T2.p3d";
				with[] = 
				{
					"data3D\les ctverec pruchozi_T2.p3d"
					//"fdf_f\km_t2b_a.p3d",
					//"fdf_f\gm_t2_a.p3d",
				};
				center = true;
			};
			class ForestBRG2
			{
				replace = "brg_n2\forest\BRG_Seapine_TRI.p3d";
				with[] = 
				{
					"data3D\les trojuhelnik pruchozi.p3d"
					//"fdf_f\km_trib_a.p3d",
				};
				center = true;
			};
/*

			class ForestBRG
			{
				replace = "brg_n2\forest\BRG_Seapine_T1.p3d";
				with[] = 
				{
					"fdf_f\km_t1_a.p3d",
					"fdf_f\gm_t1_a.p3d",
				};
				center = true;
			};
			class ForestBRG1
			{
				replace = "brg_n2\forest\BRG_Seapine_T2.p3d";
				with[] = 
				{
					"fdf_f\km_t2b_a.p3d",
					"fdf_f\gm_t2_a.p3d",
				};
				center = true;
			};
			class ForestBRG2
			{
				replace = "brg_n2\forest\BRG_Seapine_TRI.p3d";
				with[] = 
				{
					"fdf_f\km_trib_a.p3d",
				};
				center = true;
			};
*/

 };
		
		// sound sources
		class EnvSounds : CfgEnvSounds{};
		class Sounds
		{
			sounds[] = {};
		};
		class Animation {vehicles[] = {};}; // default - no film
		class Names
		{
			class SaintLouis
			{
				name = "Saint Louis";
				position[] = {7144, 8963, 130};
			};
			class Larche
			{
				name = "Larche";
				position[] = {6034, 8599, 200};
			};
			class LaTrinite
			{
				name = "La Trinite";
				position[] = {7268, 7944, 200};
			};
			class Goisee
			{
				name = "Goisse";
				position[] = {3593, 8528, 150};
			};
			class LaPessagne
			{
				name = "La Pessagne";
				position[] = {3111, 6326, 100};
			};
			class Vigny
			{
				name = "Vigny";
				position[] = {3075, 6831, 100};
			};
			class Houdan
			{
				name = "Houdan";
				position[] = {7117, 6069, 100};
			};
			class SainteMarie
			{
				name = "Sainte Marie";
				position[] = {5563, 4217, 100};
			};
			class Chapoi
			{
				name = "Chapoi";
				position[] = {5841, 3527, 200};
			};
			class LePort
			{
				name = "Le Port";
				position[] = {8193, 3129, 100};
			};
			class Cancon
			{
				name = "Cancon";
				position[] = {5388, 2786, 100};
			};
			class LaRiviere
			{
				name = "La Riviere";
				position[] = {3744, 3257, 200};
			};
			class Arudy
			{
				name = "Arudy";
				position[] = {5518, 6981, 100};
			};
			class Dourdan
			{
				name = "Dourdan";
				position[] = {7029, 7125, 100};
			};
			class Lolisse
			{
				name = "Lolisse";
				position[] = {7623, 4799, 100};
			};
		};
		cutscenes[] = {intro}; 
	};
	
	class Demo : Abel
	{
		access = ReadOnlyVerified;
		worldName = \demo\demo.wrp;
		description = "Malden - Demo";
		cutscenes[] = {intro}; 
	};
	
	class Cain : DefaultWorld
	{
		access = ReadOnlyVerified;
		plateFormat = "## - KO$ - #";
		plateLetters = "ABCEHKMOPT";

		worldName = "\@WW2_MP_extra\Worlds\cain.wrp";
		description = "Kolgujev";
		icon = _cain.paa;
		startTime = 8 : 30;
		startDate = "16/9/44"; //30/4/84;
		startWeather = 0.3;
		startFog = 0.0;
		forecastWeather = 0.3;
		forecastFog = 0.0;
		seagullPos[] = {8074, 4048, 100};
		// landing place - airport
		ilsPosition[] = {0, 0, 0}; // no airport?
		ilsDirection[] = {0, 0.08, -1};
		ilsTaxiIn[] = {};
		ilsTaxiOff[] = {};
		// sound sources
		class Sounds
		{
			sounds[] = {};
		};
		class Animation {vehicles[] = {};}; // default - no film
		class Names
		{
		};
		cutscenes[] = {intro}; 

		class ReplaceObjects
		{

			class ForestBRG
			{
				replace = "brg_n2\forest\BRG_Fir_T1.p3d";
				with[] = 
				{

					//"data3D\les ctverec pruchozi_T1.p3d"
					"fdf_f\km_t1_a.p3d"
					//,"fdf_f\gm_t1_a.p3d"
				};
				center = true;
			};
			class ForestBRG1
			{
				replace = "brg_n2\forest\BRG_Fir_T2.p3d";
				with[] = 
				{
					//"data3D\les ctverec pruchozi_T2.p3d"
					"fdf_f\km_t2b_a.p3d",
					//"fdf_f\gm_t2_a.p3d",
				};
				center = true;
			};
			class ForestBRG2
			{
				replace = "brg_n2\forest\BRG_Fir_TRI.p3d";
				with[] = 
				{
					//"data3D\les trojuhelnik pruchozi.p3d"
					"fdf_f\km_trib_a.p3d"
				};
				center = true;
			};
	};

	};
	class Intro : DefaultWorld
	{
		access = ReadOnlyVerified;
		description = "Desert Island";
		icon = _training.paa;

		worldName = \@WW2_MP\Worlds\intro.wrp;

		plateFormat = "ML$ - #####";
		plateLetters = "ABCDEGHIKLMNOPRSTVXZ"

		//longitude = +140; // positive is east
		//latitude = +40; // positive is south

		startTime = "4 : 30";
		startDate = "16/9/44"; //10/4/82;
		startWeather = 0.4;
		startFog = 0.0;
		forecastWeather = 0.4;
		forecastFog = 0.0;
		seagullPos[] = {8897, 4349, 100};
		// landing place - airport
		ilsPosition[] = {0, 0, 0};
		ilsDirection[] = {0, 0.08, 1};
		ilsTaxiIn[] = {};
		ilsTaxiOff[] = {};

		//default center position
		centerPosition[] = {9735, 3964, 0};

		// sound sources
		class Sounds
		{
			sounds[] = {};
		};
		class Animation {vehicles[] = {};}; // default - no film
		class Names
		{
		};
		cutscenes[] = {intro}; 
	};
	class I44_Oosterbeek : DefaultWorld
	{
		access = ReadOnlyVerified;
		description = "Oosterbeek";
		icon = "\I44_Arnhem\I44_Oosterbeek.jpg";
		worldName = "\I44_Arnhem\I44_Oosterbeek.wrp";

		plateFormat = "TS? ###";
		plateLetters = "ABCDEFGHIJKLMNOPQRSTUVWXYZ"

		startTime = "17 : 30";
		startDate = "18 / 07 / 1944";
		startWeather = 0.3;		forecastWeather = 0.3;
		startFog = 0.0;			forecastFog = 0.0;

		latitude = -51.9; // positive is south
		longitude = +5.9; // positive is east

		ilsPosition[] = {0, 0, 0};
		ilsDirection[] = {0, 0.08, 1};
		ilsTaxiIn[] = {};
		ilsTaxiOff[] = {};

		seagullPos[] = {6500, 10200, 200};
		centerPosition[] = {10780, 7680, 0};

		cutscenes[] = {intro};

		class Sounds {sounds[] = {};};
		class Animation {vehicles[] = {};};
		class Names
		{
			class Oosterbeek
			{
				name = "Oosterbeek";
				position[] = {10780, 7680, 200};
			};
			class Heveadorp
			{
				name = "Heveadorp";
				position[] = {8450, 6735, 50};
			};
			class Heelsum
			{
				name = "Heelsum";
				position[] = {4555, 7900, 50};
			};
			class Renkum
			{
				name = "Renkum";
				position[] = {3145, 7290, 50};
			};
			class Wolfheze
			{
				name = "Wolfheze";
				position[] = {6680, 9085, 50};
			};
/*			class Driel
			{
				name = "Driel";
				position[] = {9115, 4845, 100};
			};
			class Heteren
			{
				name = "Heteren";
				position[] = {4445, 5010, 50};
			};*/
		};
		class Grid
		{
			offsetX = 0-59450;
			offsetY = 12800+70000;	//0;	//Need Offset info to have 0 at bottom
			class Zoom1
			{
				zoomMax = 0.2;
				format = "XY";
				formatX = "000";	//"Aa";
				formatY = "000";
				stepX = 100;	//128;
				stepY = -100;	//128;
			};
			class Zoom2
			{
				zoomMax = 1e30;
				format = "XY";
				formatX = "00";	//"A";
				formatY = "00";
				stepX = 1000;	//1280;
				stepY = -1000;	//1280;
			};
		};
		class Subdivision
		{
			// fractal component of subdivision
			// changes are smaller for smaller rectangles
			class Fractal
			{
				rougness = 10;				// texture roughness factor
				maxRoad = 0.2;				// max. value for squares containing road
				maxTrack = 1.0;				// max. value for squares containing track
				maxSlopeFactor = 0.05;		// max. coeficient depending on slope
			};
			// white noise component of subdivision
			// change size is independent on rectangle size 
			class WhiteNoise
			{
				rougness = 5;
				maxRoad = 0.1;				// max. value for squares containing road
				maxTrack = 0.5;				// max. value for squares containing track
				maxSlopeFactor = 0.025;				// max. coeficient depending on slope
			};
			minY = -0.5;			// do not divide surfaces that are under given limit
			minSlope = 0.05;			// do not divide flat surfaces
		};
	};


        class  zastava: DefaultWorld
	{
		access=3;
		description="zastava";
		icon="\zastava\_zastava.paa";
		worldName="\zastava\zastava.wrp";
		plateFormat="ML$ - #####";
		plateLetters="ABCDEGHIKLMNOPRSTVXZ";
		startTime="09:30";
		startDate="22/6/41";
		startWeather=0.400000;
		startFog=0.000000;
		forecastWeather=0.400000;
		forecastFog=0.000000;
		ilsPosition[]={0,0,0};
		ilsDirection[]={0,0.080000,1};
		ilsTaxiIn[]={};
		ilsTaxiOff[]={};
		seagullPos[]={8897,4349,100};
		centerPosition[]={9735,3964,0};
		class Sounds
		{
			sounds[]={};
		};
		class Animation
		{
			vehicles[]={};
		};
		class Names
		{
			class Zastava
			{
				name="Zastava";
				position[]={1713.6074, 2479.4094, 0};
			};
			class Rukovo
			{
				name="Rukovo";
				position[]={2047.8250, 2389.3423, 0};
			};
			class KPP1
			{
				name="KPP1";
				position[]={1183.3887, 2754.4060, 0};
			};
			class KPP2
			{
				name="KPP2";
				position[]={1493.8074, 3732.8457, 0};
			};
			class Seleznevchina
			{
				name="Seleznevchina";
				position[]={2052.4338, 3694.1741, 0};
			};
			class OP1
			{
				name="OP1";
				position[]={937.3738, 5780.5918, 0};
			};
			class Sanniki
			{
				name="Sanniki";
				position[]={5381.3291, 3044.6072, 0};
			};
			class Uspenskoe
			{
				name="Uspenskoe";
				position[]={5519.9414, 4187.5029, 0};
			};
			class Vyazhino
			{
				name="Vyazhino";
				position[]={5568.3296, 5863.3496, 0};
			};
		};
	};

	class Anjou_SE: Intro 
		{
		access = 3;
		description = "Anjou 1939-1944 V3.0 SE";
		icon = "\Anjou_SE\Anjou_SE.paa";
		worldName = "\Anjou_SE\Anjou_SE.wrp";
		cutscenes[] = {"..\addons\Anjou_SE_anim\intro"};
		centerPosition[]={5200,5110,0};
		ilsDirection[]={0,0.080000,1};
                ilsPosition[]={10125,2309,0};
		ilsTaxiIn[]={10084,2354,10125,2309,10125,2300,10125,2250};
		ilsTaxiOff[]={10125,1733,10146,1725,10169,1725,10174,1764,10174,2200};	

		class Names {

		class Cancon
		{
			name="Cancon";
			position[]={5211.8999, 5111.8901, 0};
		};
		class Gravette
		{
			name="Gravette";
			position[]={4171.7300, 5110.2397, 0};
		};
		class Saint_Anjou
		{
			name="Saint-Anjou";
			position[]={4236.7329, 6372.7051, 0};
		};
		class Dourdan
		{
			name="Dourdan";
			position[]={4515.3296, 5582.9556, 0};
		};
		class Durras
		{
			name="Durras";
			position[]={5031.6958, 4685.6592, 0};
		};
		class I_de_Anjou
		{
			name="I. de Anjou";
			position[]={4799.0669, 10087.6914, 0};
		};
		class Montignac
		{
			name="Montignac";
			position[]={6288.0527, 5315.5322, 0};
		};
		class Entre_Deux
		{
			name="Entre Deux";
			position[]={6775.3750, 5081.0889, 0};
		};
		class Lamentin
		{
			name="Lamentin";
			position[]={5880.8823, 5887.8154, 0};
		};
		class Vernon
		{
			name="Vernon";
			position[]={5516.0166, 5552.4243, 0};
		};
		class Sainte_Marie
		{
			name="Sainte-Marie";
			position[]={7980.0547, 5164.1899, 0};
		};
		class Vigny
		{
			name="Vigny";
			position[]={7538.5942, 4754.8208, 0};
		};
		class Arudy
		{
			name="Arudy";
			position[]={6076.4521, 4348.5835, 0};
		};
		class Chotain
		{
			name="Chotain";
			position[]={7736.1724, 5504.6831, 0};
		};
		class Lac_de_Montignac
		{
			name="Lac de Montignac";
			position[]={6616.1548, 5861.1831, 0};
		};
		class Lac_dArudy
		{
			name="Lac dArudy";
			position[]={6633.4326, 4020.6851, 0};
		};
		class Chateau_de_Sainte_Marie
		{
			name="Chateau de Sainte-Marie";
			position[]={8333.8828, 5539.4111, 0};
		};
		class Meaux
		{
			name="Meaux";
			position[]={9022.9365, 5287.4683, 0};
		};
		class Houdan
		{
			name="Houdan";
			position[]={9452.1162, 5397.4487, 0};
		};
		class Goisse
		{
			name="Goisse";
			position[]={9709.3584, 5116.1543, 0};
		};
		class Feldflugplatz
		{
			name="Feldflugplatz";
			position[]={9068.0850, 6233.8960, 0};
		};
		class Provins
		{
			name="Provins";
			position[]={3996.0339, 7063.0981, 0};
		};
		class Saint_Louis
		{
			name="Saint Louis";
			position[]={4574.0605, 7073.6460, 0};
		};
		class Larche
		{
			name="Larche";
			position[]={5786.3696, 6912.6147, 0};
		};
		class Le_Moule
		{
			name="Le Moule";
			position[]={4213.0552, 7474.7925, 0};
		};
		class La_Trinite
		{
			name="La Trinite";
			position[]={9117.7832, 8513.8408, 0};
		};
		class Le_Port
		{
			name="Le Port";
			position[]={10882.7041, 9479.6758, 0};
		};
		class La_Riviere
		{
			name="La Riviere";
			position[]={9482.3359, 9330.5928, 0};
		};
		class St_Pierre
		{
			name="St Pierre";
			position[]={7671.8130, 8203.3867, 0};
		};
		class St_Phillippe
		{
			name="St. Phillippe";
			position[]={4929.8750, 8216.2578, 0};
		};
		class Regina
		{
			name="Regina";
			position[]={6948.3091, 6959.4238, 0};
		};
		class Tyrone
		{
			name="Tyrone";
			position[]={2561.4243, 8106.4609, 0};
		};
		class Chapoi
		{
			name="Chapoi";
			position[]={3151.9097, 7866.9653, 0};
		};
		class Morton
		{
			name="Morton";
			position[]={2406.2280, 5208.7124, 0};
		};
		class Figari
		{
			name="Figari";
			position[]={2585.5808, 6184.8906, 0};
		};
		class Quissac
		{
			name="Quissac";
			position[]={2964.2271, 2511.2664, 0};
		};
		class Camares
		{
			name="Camares";
			position[]={4050.8589, 1517.1497, 0};
		};
		class Villers_Cotterets
		{
			name="Villers-Cotterets";
			position[]={5690.6030, 1092.4602, 0};
		};
		class Arrou
		{
			name="Arrou";
			position[]={8310.4004, 1961.8618, 0};
		};
		class Bauge
		{
			name="Bauge";
			position[]={9381.0811, 2780.6799, 0};
		};
		class Mareuil
		{
			name="Mareuil";
			position[]={9402.1572, 3380.3035, 0};
		};
		class Doudeville
		{
			name="Doudeville";
			position[]={10397.5166, 1526.6534, 0};
		};
		class Valencay
		{
			name="Valencay";
			position[]={7459.0566, 1072.0621, 0};
		};
		class Marciac
		{
			name="Marciac";
			position[]={6735.7705, 1032.1626, 0};
		};
		class Anjou_1939_1944_by_OFPPUPSI_c_2004___2005
		{
			name="Anjou 1939-1944 by OFP_PUPSI (c) 2004 - 2005";
			position[]={1278.9474, 186.5132, 0};
		};
		class Chateau_Gontier
		{
			name="Chateau Gontier";
			position[]={2750.0596, 1396.5602, 0};
		};
		class La_Pessagne
		{
			name="La Pessagne";
			position[]={2590.8452, 4238.7349, 0};
		};
			};
	};

	class  Avignon: DefaultWorld
	{
		access=3;
		description="Avignon";
		icon="\BDM_Avignon\Sig_Eve.paa";
		cutscenes[]={"intro"};
		worldName="\BDM_Avignon\Avignon.wrp";
		plateFormat="AV##G$$#$";
		plateLetters="ABCDEFGHIJKLMNOPQRSTUVWXYZ";
		startTime="00:00";
		startDate="01/01/00";
		startWeather=0;
		startFog=0;
		forecastWeather=0;
		forecastFog=0;
		ilsPosition[]={2875,10000,0};
		ilsDirection[]={0,0.080000,-1};
		ilsTaxiIn[]={"2925","10160","2925","10115","2925","10070","2925","10025","2925","9985","2925","9975","2905","9975","2875","9975","2875","9995"};
		ilsTaxiOff[]={"2875","10625","2875","10760","2875","10765","2900","10775","2923","10773","2925","10750","2925","10675","2925","10600","2925","10525","2925","10550","2925","10500","2925","10450","2925","10400","2925","10350"};
		seagullPos[]={6086,7505,52};
		centerPosition[]={6086,7505,52};

		class ReplaceObjects
		{
		class Forest1Border
		{
		replace="O\Tree\les_nw_ctver_mlaz.p3d";
		with[]={};
		};
		class Forest1Triangle
		{
		replace="O\Tree\les_nw_trojuhelnik.p3d";
		with[]={"O\Tree\les_nw_trojuhelnik.p3d"};
		};
		class Forest1Square
		{
		replace="O\Tree\les_nw_ctver_pruhozi.p3d";
		with[]={"O\Tree\les_nw_ctver_pruhozi_T1.p3d","O\Tree\les_nw_ctver_pruhozi_T2.p3d"};
		center="true";
		};
		class Forest2Border
		{
		replace="O\Tree\les_nw_jehl_mlaz.p3d";
		with[]={};
		};
		class Forest2Triangle
		{
		replace="O\Tree\les_nw_jehl_trojuhelnik.p3d";
		with[]={"O\Tree\les_nw_jehl_trojuhelnik.p3d"};
		};
		class Forest2Square
		{
		replace="O\Tree\les_nw_jehl_ctver_pruhozi.p3d";
		with[]={"O\Tree\les_nw_jehl_T1.p3d","O\Tree\les_nw_jehl_T2.p3d"};
		center="true";
		};
		};
		

		class Sounds
		{
			sounds[]={};
		};
		class Animation
		{
			vehicles[]={};
		};
		class Names
		{
			class Calais
			{
				name="Calais";
				position[]={1578,10023,10};
			};
			class Limoges
			{
				name="Limoges";
				position[]={955,12198,50};
			};
			class Arlon
			{
				name="Arlon";
				position[]={2794,11663,50};
			};
			class Couvin
			{
				name="Couvin";
				position[]={8038,12232,50};
			};
			class Philippeville
			{
				name="Philippeville";
				position[]={5825,9236,50};
			};
			class Bouillon
			{
				name="Bouillon";
				position[]={4400,8128,10};
			};
			class Ciney
			{
				name="Ciney";
				position[]={8550,9800,50};
			};
			class SaintHubert
			{
				name="Saint Hubert";
				position[]={10097,9767,25};
			};
			class Louvain
			{
				name="Louvain";
				position[]={8933,8807,100};
			};
			class Athus
			{
				name="Athus";
				position[]={10876,7835,100};
			};
			class Dinant
			{
				name="Dinant";
				position[]={9772,6318,50};
			};
			class Balles
			{
				name="Balles";
				position[]={7335,7784,10};
			};
			class Thibodaux
			{
				name="Thibodaux";
				position[]={5344,6939,15};
			};
			class SaintMartin
			{
				name="Saint Martin";
				position[]={3028,7064,10};
			};
			class Durboy
			{
				name="Durboy";
				position[]={2520,6901,25};
			};
			class Vermay 
			{
				name="Vermay";
				position[]={4045,6254,25};
			};
			class Aney
			{
				name="Aney";
				position[]={3586,5148,25};
			};
			class Renelle

			{
				name="Renelle";
				position[]={5336,5102,15};
			};
			class Brenantes
			{
				name="Brenantes";
				position[]={7026,5335,50};
			};
			class 	SaintElodie		
			{
				name="Saint Elodie";
				position[]={7435,3669,50};
			};
			class Calille
			{
				name="Calille";
				position[]={10611,1728,50};
			};
			class Troyes
			{
				name="Troyes";
				position[]={11025,3864,25};
			};
			
		};
	};

	class Havelte : Intro {
		access = 1;
	      	plateFormat="ER$  ## - ##";
		plateLetters="ABCDEFHIKLMOPRSTVXYZ";	
               	description = "Havelte";
		icon = "\Havelte\Havelte.paa";
		worldName = "\Havelte\Havelte.wrp";
		cutscenes[] = {"..\Addons\Havelte_anims\intro"};		
		 
		centerPosition[]={5931,6747,0};
		latitude=-20;
		longitude =6;
                
                seagullPos[]={10738,8509};

		ilsDirection[]={0,0.080000,-1};
                ilsPosition[]={6222,7260};
		ilsTaxiIn[]=
				{
					6290,7509, // center of the airbase, the taxiway
					6290,7263, // first taxi to runway point, going south
					6275,7260, // westbound horizontal taxiway east side
					6250,7260, // westbound horizontal taxiway west side
					6222,7265, // towards north and takeoff 1, after touch down point
					6222,7270, // towards north and takeoff 2
					6222,7280, // towards north and takeoff 3
					6222,7290, // towards north and takeoff 4
				};
		
		ilsTaxiOff[]=
				{
					6222,7260, // same as ilsPosition[]
					6222,7800, // just before taxiway turn, end of runway
					6260,7810, // westbound horizontal taxiway west side
					6280,7810, // westbound horizontal taxiway east side
					6290,7780, // towards south, the center 1
					6290,7509, // center of the airbase, the taxiway
				};

		forestOldTriangle="Data3D\les trojuhelnik.p3d"; 
		forestOldSquare="Data3D\les ctverec.p3d"; 
		forestInner="Data3D\les ctverec dark.p3d"; 
		forestOuter="Data3D\les ctverec pruchozi.p3d"; 
		forestOuterT1="Data3D\les ctverec pruchozi_T1.p3d"; 
		forestOuterT2="Data3D\les ctverec pruchozi_T2.p3d"; 
		forestTriangle="Data3D\les trojuhelnik pruchozi.p3d"; 
		forestBorder="Data3D\les ctverec mlazi.p3d"; 
                class Sounds
		{
			sounds[]={};
		};
		class Animation
		{
			vehicles[]={};
		};   

    
     		class Names
	{
		class Kamper_Zand
		{
			name="Kamper Zand";
			position[]={7662.3188, 6925.5093, 0};
		};
		class Militair_Oefenterrein
		{
			name="Militair Oefenterrein";
			position[]={5523.9302, 6778.6519, 0};
		};
		class Darp
		{
			name="Darp";
			position[]={6640.8516, 8449.6035, 0};
		};
		class Polderveen
		{
			name="Polderveen";
			position[]={8676.8525, 9293.9678, 0};
		};
		class Droogveen
		{
			name="Droogveen";
			position[]={8756.1191, 8361.3525, 0};
		};
		class Hoogdijk
		{
			name="Hoogdijk";
			position[]={7622.5312, 9503.0332, 0};
		};
		class Oudsgat
		{
			name="Oudsgat";
			position[]={10254.3447, 6252.6528, 0};
		};
		class De_sluis
		{
			name="De sluis";
			position[]={9672.6719, 8503.4512, 0};
		};
		class Hoogzicht
		{
			name="Hoogzicht";
			position[]={10468.4473, 8607.8184, 0};
		};
		class Limbergen
		{
			name="Limbergen";
			position[]={11283.3369, 9539.5352, 0};
		};
	};

};
	class HC1_ArmouredSpearhead : Intro {
		cutscenes[] = {"..\HC1_Europe_Island_Pack\Island_Anims\HC1_ArmouredSpearhead_anim\intro"};
		access = 3;
		description = "HC1 ArmouredSpearhead";
		icon = "\HC1_ArmouredSpearhead\44.jpg";
		worldName = "\HC1_ArmouredSpearhead\HC1_ArmouredSpearhead.wrp";
		plateFormat="ML$ - #####";
		plateLetters="ABCDEGHIKLMNOPRSTVXZ";
		centerPosition[]={3425,3199,0};
		ilsPosition[] ={3975,4130,0}; // runway north end, touchdown spot?
		ilsDirection[] ={0,0.08,-1}; // no clue, north-south?
		ilsTaxiIn[]=
		{
			3925, 4500, // service path middle point
			3925,4200, // point on runway to start there
			3936,4173, // point on runway to start there
			3949,4173, // point on runway to start there

			3975,4191, // point on runway to start there
			3975,4213, // align with runway
			3975,4220, // align with runway
			3975,4250, // align with runway
		};
		ilsTaxiOff[]=
		{
			3975,4130, //ilsPos, // touchdown point on runway
			// this is the north end of runway.
			3925,4400, // move to taxi-off point
			3975,5460, // start turning
			3950,5475, // move to taxi-path
			3933,5475, // move to taxi-path
			3925, 4500, // move on service path to middle point
		};
	
		startTime="05:30";
		startDate="01/10/44";
		startWeather=0.400000;
		startFog=0.600000;
		forecastWeather=0.900000;
		forecastFog=0.600000;
		seagullPos[]={925,700};
		
		class ReplaceObjects
		{
			class F1
			{
				replace="O\Tree\les_nw_jehl_T1.p3d";
				with[]={"O\Tree\les_nw_jehl_T1.p3d"};
				center="true";
			};
			class F2
			{
				replace="O\Tree\les_nw_jehl_T2.p3d";
				with[]={"O\Tree\les_nw_jehl_T2.p3d"};
				center="true";
			};
			class F4
			{
				replace="O\Tree\les_nw_ctver_pruhozi_T1.p3d";
				with[]={"O\Tree\les_nw_ctver_pruhozi_T1.p3d"};
				center="true";
			};
			class F5
			{
				replace="O\Tree\les_nw_ctver_pruhozi_T2.p3d";
				with[]={"O\Tree\les_nw_ctver_pruhozi_T2.p3d"};
				center="true";
			};	
		};

		class HC1_ArmouredSpearheadtitle
		{
				name="**Hell's Circus 'Armoured Spearhead' by [HC]Para**";
				position[]={510,131,300};
		};
		class EnvSounds: CfgEnvSounds
		{
			class Rain
			{
				name="$STR_DN_RAIN";
				sound[]={"\HC1_ArmouredSpearhead\sound\amb.ogg",0.005,1};
				soundNight[]={"\HC1_ArmouredSpearhead\sound\night.ogg",0.005,1};
			};
			class Sea
			{
				name="$STR_DN_SEA";
				sound[]={"\HC1_ArmouredSpearhead\sound\amb.ogg",0.005,1};
				soundNight[]={"\HC1_ArmouredSpearhead\sound\night.ogg",0.005,1};
			};
			class Meadows
			{
				name="$STR_DN_MEADOWS";
				sound[]={"\HC1_ArmouredSpearhead\sound\amb.ogg",0.005,1};
				soundNight[]={"\HC1_ArmouredSpearhead\sound\night.ogg",0.005,1};
			};
			class Trees
			{
				name="$STR_DN_TREES";
				sound[]={"\HC1_ArmouredSpearhead\sound\amb.ogg",0.005,1};
				soundNight[]={"\HC1_ArmouredSpearhead\sound\night.ogg",0.005,1};
			};
			class Hills
			{
				name="$STR_DN_HILLS";
				sound[]={"\HC1_ArmouredSpearhead\sound\amb.ogg",0.010,1};
				soundNight[]={"\HC1_ArmouredSpearhead\sound\night.ogg",0.010,1};
			};
		};
	};

     
	class HC1_Caen : Intro 
	{
		cutscenes[] = {"..\HC1_Europe_Island_Pack\Island_Anims\HC1_Caen_anim\intro"};
		access = 3;
		description = "HC1 Caen";
		icon = "\HC1_Caen\Caen.jpg";
		worldName = "\HC1_Caen\HC1_Caen.wrp";
		plateFormat="ML$ - #####";
		plateLetters="ABCDEGHIKLMNOPRSTVXZ";
		centerPosition[]={1295,1500,0};
		startTime="05:30";
		startDate="01/10/40";
		startWeather=0.400000;
		startFog=0.600000;
		forecastWeather=0.900000;
		forecastFog=0.600000;
		seagullPos[]={925,700};
		class ReplaceObjects
		{
			class F1
			{
				replace="O\Tree\les_nw_jehl_T1.p3d";
				with[]={"O\Tree\les_nw_jehl_T1.p3d"};
				center="true";
			};
			class F2
			{
				replace="O\Tree\les_nw_jehl_T2.p3d";
				with[]={"O\Tree\les_nw_jehl_T2.p3d"};
				center="true";
			};	
		};
		class HC1_Caentitle
		{
				name="**Hell's Circus 'Caen' by [HC]Para**";
				position[]={510,131,300};
		};
		class EnvSounds: CfgEnvSounds
		{
			class Rain
			{
				name="$STR_DN_RAIN";
				sound[]={"\HC1_ArmouredSpearhead\sound\amb.ogg",0.005,1};
				soundNight[]={"\HC1_ArmouredSpearhead\sound\night.ogg",0.005,1};
			};
			class Sea
			{
				name="$STR_DN_SEA";
				sound[]={"\HC1_ArmouredSpearhead\sound\amb.ogg",0.005,1};
				soundNight[]={"\HC1_ArmouredSpearhead\sound\night.ogg",0.005,1};
			};
			class Meadows
			{
				name="$STR_DN_MEADOWS";
				sound[]={"\HC1_ArmouredSpearhead\sound\amb.ogg",0.005,1};
				soundNight[]={"\HC1_ArmouredSpearhead\sound\night.ogg",0.005,1};
			};
			class Trees
			{
				name="$STR_DN_TREES";
				sound[]={"\HC1_ArmouredSpearhead\sound\amb.ogg",0.005,1};
				soundNight[]={"\HC1_ArmouredSpearhead\sound\night.ogg",0.005,1};
			};
			class Hills
			{
				name="$STR_DN_HILLS";
				sound[]={"\HC1_ArmouredSpearhead\sound\amb.ogg",0.010,1};
				soundNight[]={"\HC1_ArmouredSpearhead\sound\night.ogg",0.010,1};
			};
		};
	};

	class HC1_Enfilade42 : Intro {
		cutscenes[] = {"..\HC1_Europe_Island_Pack\Island_Anims\HC1_Enfilade42_anim\intro"};
		access = 3;
		description = "HC1 Enfilade42";
		icon = "\HC1_Enfilade42\42.jpg";
		worldName = "\HC1_Enfilade42\HC1_Enfilade42.wrp";
		plateFormat="ML$ - #####";
		plateLetters="ABCDEGHIKLMNOPRSTVXZ";
		centerPosition[]={880,700,0};
		ilsPosition[] ={527,1275,0}; // runway north end, touchdown spot?
		ilsDirection[] ={0,0.08,1}; // no clue, north-south?

		ilsTaxiIn[]=
		{
			572, 1206, // service path middle point
			572,1221, // point on runway to start there
			563,1240, // point on runway to start there
			534,1246, // point on runway to start there
			527,1240, // point on runway to start there
			527,1234, // align with runway
			527,1221, // align with runway
			527,1209, // align with runway
		};
		ilsTaxiOff[]=
		{
			527,1275, //ilsPos, // touchdown point on runway
			527,875, // move to taxi-off point
			534,871, // start turning
			559,874, // move to taxi-path
			570,888, // move to taxi-path
			572,1200, // move on service path to middle point
		};

		startTime="05:30";
		startDate="01/10/44";
		startWeather=0.400000;
		startFog=0.600000;
		forecastWeather=0.900000;
		forecastFog=0.600000;
		seagullPos[]={880,700};

		class ReplaceObjects
		{
			class F1
			{
				replace="O\Tree\les_nw_jehl_T1.p3d";
				with[]={"O\Tree\les_nw_jehl_T1.p3d"};
				center="true";
			};
			class F2
			{
				replace="O\Tree\les_nw_jehl_T2.p3d";
				with[]={"O\Tree\les_nw_jehl_T2.p3d"};
				center="true";
			};	
		};
		class HC1_Enfilade42title
		{
			name="**Hell's Circus 'Enfilade42' by [HC]Para**";
			position[]={470,70,0};
		};
		class EnvSounds: CfgEnvSounds
		{
			class Rain
			{
				name="$STR_DN_RAIN";
				sound[]={"\HC1_ArmouredSpearhead\sound\amb.ogg",0.005,1};
				soundNight[]={"\HC1_ArmouredSpearhead\sound\night.ogg",0.005,1};
			};
			class Sea
			{
				name="$STR_DN_SEA";
				sound[]={"\HC1_ArmouredSpearhead\sound\amb.ogg",0.005,1};
				soundNight[]={"\HC1_ArmouredSpearhead\sound\night.ogg",0.005,1};
			};
			class Meadows
			{
				name="$STR_DN_MEADOWS";
				sound[]={"\HC1_ArmouredSpearhead\sound\amb.ogg",0.005,1};
				soundNight[]={"\HC1_ArmouredSpearhead\sound\night.ogg",0.005,1};
			};
			class Trees
			{
				name="$STR_DN_TREES";
				sound[]={"\HC1_ArmouredSpearhead\sound\amb.ogg",0.005,1};
				soundNight[]={"\HC1_ArmouredSpearhead\sound\night.ogg",0.005,1};
			};
			class Hills
			{
				name="$STR_DN_HILLS";
				sound[]={"\HC1_ArmouredSpearhead\sound\amb.ogg",0.010,1};
				soundNight[]={"\HC1_ArmouredSpearhead\sound\night.ogg",0.010,1};
			};
		};
	};

	class HC1_Onslaught45 : Intro {
		cutscenes[] = {"..\HC1_Europe_Island_Pack\Island_Anims\HC1_Onslaught45_anim\intro"};
		access = 3;
		description = "HC1 Onslaught45";
		icon = "\HC1_Onslaught45\45.jpg";
		worldName = "\HC1_Onslaught45\HC1_Onslaught45.wrp";
		plateFormat="ML$ - #####";
		plateLetters="ABCDEGHIKLMNOPRSTVXZ";
		centerPosition[]={190,180,0};
		startTime="05:30";
		startDate="01/01/45";
		startWeather=0.400000;
		startFog=0.600000;
		forecastWeather=0.900000;
		forecastFog=0.600000;
		seagullPos[]={190,180};
		class ReplaceObjects
		{
			class F1
			{
				replace="O\Tree\les_nw_jehl_T1.p3d";
				with[]={"O\Tree\les_nw_jehl_T1.p3d"};
				center="true";
			};
			class F2
			{
				replace="O\Tree\les_nw_jehl_T2.p3d";
				with[]={"O\Tree\les_nw_jehl_T2.p3d"};
				center="true";
			};	
		};
		class HC1_Onslaught45title
		{
			name="**Hell's Circus 'Onslaught45' by [HC]Para**";
			position[]={12,15,0};
		};
		class EnvSounds: CfgEnvSounds
		{
			class Rain
			{
				name="$STR_DN_RAIN";
				sound[]={"\HC1_ArmouredSpearhead\sound\amb.ogg",0.005,1};
				soundNight[]={"\HC1_ArmouredSpearhead\sound\night.ogg",0.005,1};
			};
			class Sea
			{
				name="$STR_DN_SEA";
				sound[]={"\HC1_ArmouredSpearhead\sound\amb.ogg",0.005,1};
				soundNight[]={"\HC1_ArmouredSpearhead\sound\night.ogg",0.005,1};
			};
			class Meadows
			{
				name="$STR_DN_MEADOWS";
				sound[]={"\HC1_ArmouredSpearhead\sound\amb.ogg",0.005,1};
				soundNight[]={"\HC1_ArmouredSpearhead\sound\night.ogg",0.005,1};
			};
			class Trees
			{
				name="$STR_DN_TREES";
				sound[]={"\HC1_ArmouredSpearhead\sound\amb.ogg",0.005,1};
				soundNight[]={"\HC1_ArmouredSpearhead\sound\night.ogg",0.005,1};
			};
			class Hills
			{
				name="$STR_DN_HILLS";
				sound[]={"\HC1_ArmouredSpearhead\sound\amb.ogg",0.010,1};
				soundNight[]={"\HC1_ArmouredSpearhead\sound\night.ogg",0.010,1};
			};
		};
	};

	class HC1_Spearhead44 : Intro {
		cutscenes[] = {"..\HC1_Europe_Island_Pack\Island_Anims\HC1_Spearhead44_anim\intro"};
		access = 3;
		description = "HC1 Spearhead44";
		icon = "\HC1_Spearhead44\44.jpg";
		worldName = "\HC1_Spearhead44\HC1_Spearhead44.wrp";
		plateFormat="ML$ - #####";
		plateLetters="ABCDEGHIKLMNOPRSTVXZ";
		centerPosition[]={5000,9177,0};
		startTime="05:30";
		startDate="01/10/44";
		startWeather=0.400000;
		startFog=0.600000;
		forecastWeather=0.900000;
		forecastFog=0.600000;
		seagullPos[]={5000,9177};
		class HC1_Spearhead44title
		{
				name="**Hell's Circus 'SPEARHEAD 44' by [HC]Para**";
				position[]={5250,8720,300};
		};
		class EnvSounds: CfgEnvSounds
		{
			class Rain
			{
				name="$STR_DN_RAIN";
				sound[]={"\HC1_ArmouredSpearhead\sound\amb.ogg",0.005,1};
				soundNight[]={"\HC1_ArmouredSpearhead\sound\night.ogg",0.005,1};
			};
			class Sea
			{
				name="$STR_DN_SEA";
				sound[]={"\HC1_ArmouredSpearhead\sound\amb.ogg",0.005,1};
				soundNight[]={"\HC1_ArmouredSpearhead\sound\night.ogg",0.005,1};
			};
			class Meadows
			{
				name="$STR_DN_MEADOWS";
				sound[]={"\HC1_ArmouredSpearhead\sound\amb.ogg",0.005,1};
				soundNight[]={"\HC1_ArmouredSpearhead\sound\night.ogg",0.005,1};
			};
			class Trees
			{
				name="$STR_DN_TREES";
				sound[]={"\HC1_ArmouredSpearhead\sound\amb.ogg",0.005,1};
				soundNight[]={"\HC1_ArmouredSpearhead\sound\night.ogg",0.005,1};
			};
			class Hills
			{
				name="$STR_DN_HILLS";
				sound[]={"\HC1_ArmouredSpearhead\sound\amb.ogg",0.010,1};
				soundNight[]={"\HC1_ArmouredSpearhead\sound\night.ogg",0.010,1};
			};
		};
	};

	class HC1_Spearhead45 : Intro {
		cutscenes[] = {"..\HC1_Europe_Island_Pack\Island_Anims\HC1_Spearhead45_anim\intro"};
		access = 3;
		description = "HC1 Spearhead45";
		icon = "\HC1_Spearhead45\45.jpg";
		worldName = "\HC1_Spearhead45\HC1_Spearhead45.wrp";
		plateFormat="ML$ - #####";
		plateLetters="ABCDEGHIKLMNOPRSTVXZ";
		centerPosition[]={925,699,0};
		ilsPosition[] ={527,1275,0}; // runway north end, touchdown spot?
		ilsDirection[] ={0,0.08,1}; // no clue, north-south?

		ilsTaxiIn[]=
		{
			572, 1071, // service path middle point
			572,1221, // point on runway to start there
			563,1240, // point on runway to start there
			534,1246, // point on runway to start there

			527,1240, // point on runway to start there
			527,1234, // align with runway
			527,1221, // align with runway
			527,1209, // align with runway
		};
		ilsTaxiOff[]=
		{
			527,1275, //ilsPos, // touchdown point on runway
			527,875, // move to taxi-off point
			534,871, // start turning
			559,874, // move to taxi-path
			570,888, // move to taxi-path
			572,1061, // move on service path to middle point
		};

		startTime="05:30";
		startDate="01/10/44";
		startWeather=0.400000;
		startFog=0.600000;
		forecastWeather=0.900000;
		forecastFog=0.600000;
		seagullPos[]={925,700};

		class ReplaceObjects
		{
			class F1
			{
				replace="O\Tree\les_nw_jehl_T1.p3d";
				with[]={"O\Tree\les_nw_jehl_T1.p3d"};
				center="true";
			};
			class F2
			{
				replace="O\Tree\les_nw_jehl_T2.p3d";
				with[]={"O\Tree\les_nw_jehl_T2.p3d"};
				center="true";
			};	
		};
		class HC1_Spearhead45title
		{
			name="**Hell's Circus 'Spearhead45' by [HC]Para**";
			position[]={510,131,300};
		};
		class EnvSounds: CfgEnvSounds
		{
			class Rain
			{
				name="$STR_DN_RAIN";
				sound[]={"\HC1_ArmouredSpearhead\sound\amb.ogg",0.005,1};
				soundNight[]={"\HC1_ArmouredSpearhead\sound\night.ogg",0.005,1};
			};
			class Sea
			{
				name="$STR_DN_SEA";
				sound[]={"\HC1_ArmouredSpearhead\sound\amb.ogg",0.005,1};
				soundNight[]={"\HC1_ArmouredSpearhead\sound\night.ogg",0.005,1};
			};
			class Meadows
			{
				name="$STR_DN_MEADOWS";
				sound[]={"\HC1_ArmouredSpearhead\sound\amb.ogg",0.005,1};
				soundNight[]={"\HC1_ArmouredSpearhead\sound\night.ogg",0.005,1};
			};
			class Trees
			{
				name="$STR_DN_TREES";
				sound[]={"\HC1_ArmouredSpearhead\sound\amb.ogg",0.005,1};
				soundNight[]={"\HC1_ArmouredSpearhead\sound\night.ogg",0.005,1};
			};
			class Hills
			{
				name="$STR_DN_HILLS";
				sound[]={"\HC1_ArmouredSpearhead\sound\amb.ogg",0.010,1};
				soundNight[]={"\HC1_ArmouredSpearhead\sound\night.ogg",0.010,1};
			};
		};
	};

	class i44_abel: Intro {
		access = 3;
		description = "I44: Sicily";
		icon = "\i44_sicily\i44_abel.jpg";
		worldName = "\i44_sicily\i44_abel.wrp";
		cutscenes[] = {"..\addons\i44_sicily_anim\intro"};
		class Names { 
						
			class town1 { 
				name="Adrano"; 
				position[]={7144, 8963, 130}; 
			}; 		 	
			class town2 { 
				name="Caltanisetta"; 
				position[]={6034, 8599, 200}; 
			}; 		 	
			class town3 { 
				name="Catania"; 
				position[]={7268, 7944, 200}; 
			}; 		 	
			class town4 { 
				name="Prizzi"; 
				position[]={3593, 8528, 150}; 
			}; 		 	
			class town5 { 
				name="Conicajti"; 
				position[]={3111, 6326, 100}; 
			}; 		 	
			class town6 { 
				name="Agrigento"; 
				position[]={3075, 6831, 100}; 
			};
			class town7 { 
				name="Vissini"; 
				position[]={7117, 6069, 100}; 
			}; 		 	 	
			class town8 { 
				name="Grammichele"; 
				position[]={5563, 4217, 100}; 
			}; 		 		 
			class town9 { 
				name="Caltagirone"; 
				position[]={5841, 3527, 200}; 
			}; 		 		
			class town10 { 
				name="Syracuse"; 
				position[]={8193, 3129, 100}; 
			}; 		 	
			class town11 { 
				name="Ponte Olivo"; 
				position[]={5388, 2786, 100}; 
			}; 		 	
			class town12 { 
				name="Licata"; 
				position[]={3744, 3257, 200}; 
			}; 		
			class town13 { 
				name="Villorosa"; 
				position[]={5518, 6981, 100}; 
			}; 		 	
			class town14 { 
				name="Lentini"; 
				position[]={7029, 7125, 100}; 
			}; 		 	 	
			class town15 { 
				name="Priolo"; 
				position[]={7623, 4799, 100}; 
			}; 		 	
		}; 
	};
	class saru : Intro {
		access = 3;
	        plateFormat="ER$  ## - ##";
		plateLetters="ABCDEFHIKLMOPRSTVXYZ";	
                description = "Sarugao";
		icon = "\saru\mapsaru.paa";
		worldName = "\saru\saru.wrp";
		cutscenes[] = {"..\ADDONS\saruanims\\intro"};
	        centerPosition[]={8296,3997,0}; 
                startTime="7:30"; 
                startDate="21/07/85"; 
                startWeather=0.400000; 
                startFog=0.100000; 
                forecastWeather=0.200000; 
                forecastFog=0.000000; 
                seagullPos[]={10738,8509};
		ilsDirection[]={0,0.08,1};
                ilsPosition[]={"9824","4350"};
		ilsTaxiOff[]={"9824","4625","9824","4450","9824","4150","9824","3830","9844","3825","9864","3825","9874","3831","9874","3887","9874","4076","9924","4078","9924","4078"};
		ilsTaxiIn[]={"9936","4125","9874","4125","9874","4384","9874","4607","9870","4624","9846","4625","9824","4625","9824","4600","9824","4550"};
		class ReplaceObjects
                {
                	class ForestSquarePine
                	{
                		replace="data3d\les ctverec.p3d";
                		with[]={"O\Tree\les_nw_jehl_T1.p3d","O\Tree\les_nw_jehl_T2.p3d"};
                		center="true";
               		}; 
                	class ForesttrianglePine
                	{
                		replace="Data3D\les trojuhelnik pruchozi.p3d";
                		with[]={"O\Tree\les_nw_jehl_trojuhelnik.p3d"};
                	};
                	class ForestSquare
                	{
                		replace="Data3D\les ctverec dark.p3d";
                		with[]={"O\Tree\les_nw_ctver_pruhozi_T1.p3d","O\Tree\les_nw_ctver_pruhozi_T2.p3d"};
                		center="true";
               		};
                	class Foresttriangle
                	{
                		replace="Data3D\les trojuhelnik.p3d";
                		with[]={"o\tree\les_nw_trojuhelnik.p3d"};
                	};
                };
                class Sounds
		{
			sounds[]={};
		};
		class Animation
		{
			vehicles[]={};
		};       
                class Names
		{
			class Tormes
			{
				name="Tormes";
				position[]={8100,7287,50};
			};
			class Vilm
			{
				name="Vilm";
				position[]={10403,5072,50};
			};
                        class Lebrija
			{
				name="Lebrija";
				position[]={2783,2537,50};
			};
                        class Porvoo
			{
				name="Porvoo";
				position[]={7842,4627,100};
			};
                        class Woronesh
			{
				name="Woronesh";
				position[]={3672,11426,100};
                        };
                        class Triglav
			{
				name="Triglav";
				position[]={7824,5032,100};
                        };
                        class Vadora
			{
				name="Vadora";
				position[]={10008,5884,150};
			};
                        class Meridan
			{
				name="Meridan";
				position[]={3974,2760,150};
			};
                        class Jarna
			{
				name="Jarna";
				position[]={7385,5974,150};
			};
                        class Saint_Bieuc
			{
				name="Saint Bieuc";
				position[]={8125,6088,150};
			};
			class Elecante
			{
				name="Elecante";
				position[]={7198,6635,150};
			};
                        class Belnuevo
			{
				name="Belnuevo";
				position[]={6158,4262,100};
			};
                        class Internia
			{
				name="Internia";
				position[]={8629,6411,100};
			};
                        class Alto
			{
				name="San Alto";
				position[]={8163,3317,100};
			};
                        class Leviata
			{
				name="Leviata";
				position[]={8385,7765,100};
			};
                        class portSaru
			{
				name="Port Saru";
				position[]={6001,11050,100};
			};
                        class Renoir
			{
				name="Saint Renoir";
				position[]={6652,2128,100};
			};
		};
        };